RFR 8130302: jarsigner and keytool -providerClass needs be re-examined for modules

Wang Weijun weijun.wang at oracle.com
Tue Feb 23 02:25:15 UTC 2016


>> 
>> You mean not supporting all pre-loaded providers in modules, but only one or two popular ones?
>> 
> 
> I meant not support -providerClass for arbitrary providers loaded via service loader. The only exception is SunPKCS11.  In other words, -providerClass can only be used to load legacy security provider via Class::forName.

Accepted.

> 
> The man page should make it clear that -provider SunPKCS11 is recommended instead of -providerClass sun.security.provider.SunPKCS11.  It’s just an alias to help migration.

Yes.

security-dev? I still see no comment from you.

Thanks
Max

> 
> Mandy
> 
>> Thanks
>> Max
>> 
>> 
>>> 
>>> Mandy
>> 
> 



More information about the security-dev mailing list